Summary:	Swing windowing and docking framework
Name:		flexdock
Release:	%mkrel 2
License:	MIT
Group:		Development/Java
Version:	1.2.1
URL:		http://forge.scilab.org/index.php/p/flexdock/
Source0:    http://forge.scilab.org/index.php/p/%{name}/downloads/get/%{name}-%{version}.tar.gz
Patch0:		%{name}-build.xml.diff
BuildRequires:	ant
BuildRequires:	fmj
BuildRequires:	jakarta-commons-logging
BuildRequires:	java-rpmbuild >= 1.7
BuildRequires:	jpackage-utils
BuildRequires:	jgoodies-looks
BuildRequires:	skinlf
BuildRequires:	unzip
BuildRequires:	update-alternatives
BuildRequires:	xml-commons-apis
Requires:	java >= 1.7
Requires:	jakarta-commons-logging
Requires:	jgoodies-looks
Requires:	jpackage-utils
Requires:	skinlf

%description
FlexDock is a Java docking framework for use in cross-platform Swing
applications. It offers features you'd expect in any desktop docking
framework such as:

* Tabbed and Split Layouts
* Drag-n-Drop capability (native drag rubber band painting on some platforms)
* Floating windows
* Collapsible Containers to Save Real Estate
* Layout Persistence

It is released using the MIT license.

%package javadoc
Summary:	Javadoc for flexdock
Group:		Development/Java

%description javadoc
Javadoc for flexdock.

%package demo
Summary:	Some examples for flexdock
Group:		Development/Java
Requires:	%{name} = %{version}-%{release}
Requires:	fmj
Requires:	java >= 1.7
Requires:	jakarta-commons-logging
Requires:	jgoodies-looks
Requires:	skinlf

%description demo
Some examples for flexdock.

%package manual
Summary:	User documetation for flexdock
Group:		Development/Java

%description manual
Usermanual for flexdock.

%prep
%setup -q


%build
ant jar

%install
mkdir -p %{buildroot}%{_javadir}
install -pm644 build/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

%files
%doc LICENSE.txt README release-notes.txt
%{_javadir}/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 350521
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 grenoya <grenoya> 1.2.1-1.mga3
+ Revision: 344308
- new version 1.2.1

* Sat Nov 12 2011 grenoya <grenoya> 0.5.4-1.mga2
+ Revision: 166945
- new version 0.5.4

* Sat Mar 05 2011 grenoya <grenoya> 0.5.2-3.mga1
+ Revision: 64835
- imported package flexdock

